Bug 1860157 - e2e test - recycler pod can run with best effort
Summary: e2e test - recycler pod can run with best effort
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: David Eads
QA Contact: Qin Ping
URL:
Whiteboard:
Depends On:
Blocks: 1871951
TreeView+ depends on / blocked
 
Reported: 2020-07-23 19:34 UTC by David Eads
Modified: 2020-08-25 18:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-11 12:34:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 25315 0 None closed bug 1860157: allow recycler pods to run with best effort qos 2020-08-25 18:38:26 UTC

Description David Eads 2020-07-23 19:34:26 UTC
Need to update the e2e test to allow recycler pods to run with best effort. This cleans up a flake : https://prow.ci.openshift.org/view/gs/origin-ci-test/pr-logs/pull/openshift_cluster-version-operator/411/pull-ci-openshift-cluster-version-operator-master-e2e/1286271671807774720

Comment 3 Qin Ping 2020-08-04 07:02:01 UTC
In ci job: https://prow.ci.openshift.org/view/gcs/origin-ci-test/pr-logs/pull/25314/pull-ci-openshift-origin-master-e2e-aws-fips/1288575313797713920

The sig-storage e2e case[1] is added to flaky, so update the bug to assign.

[1][sig-storage] PersistentVolumes-local [Volume type: blockfswithoutformat] Two pods mounting a local volume at the same time should be able to write from pod1 and read from pod2 [Suite:openshift/conformance/parallel] [Suite:k8s]

Comment 4 David Eads 2020-08-11 12:35:37 UTC
Managed cluster should ensure control plane pods do not run in best-effort QoS 

looks better. I'll reopen if needed.

Comment 5 David Eads 2020-08-25 18:48:23 UTC
trying to make the bugzilla bot happy.


Note You need to log in before you can comment on or make changes to this bug.